--------------------------------------------------------------------------------
-- Title   : Duplication block
-- Project : TimEX3
--------------------------------------------------------------------------------
-- Description : Signal duplication
--------------------------------------------------------------------------------
-- File     : MIK_duplication.vhd
-- Revision : x.x.x
-- Created  : April 28, 2015
-- Updated  : April 29, 2015
--------------------------------------------------------------------------------
-- Author       : Jean-Paul Ricaud
-- Organization : Synchrotron Soleil
-- Web          : http://www.synchrotron-soleil.fr
-- Email        : jean-paul.ricaud@synchrotron-soleil.fr
--------------------------------------------------------------------------------
-- Copyright (C) 2012 - 2015 Synchrotron Soleil
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Lesser General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Lesser General Public License for more details.
--
-- You should have received a copy of the GNU Lesser General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>
--------------------------------------------------------------------------------
--
--------------------------------------------------------------------------------
-- Modifications :
--
--------------------------------------------------------------------------------

library ieee;
use ieee.std_logic_1164.all;
use ieee.numeric_std.all;

--------------------------------------------------------------------------------
--------------------------------- ENTITY ---------------------------------------
--------------------------------------------------------------------------------
entity MIK_duplication is
  port (
    p_in      : in  std_logic;                     -- input
    p_outTTL  : out std_logic_vector (4 downto 0); -- TTL outputs
    p_outPECL : out std_logic_vector (4 downto 0)  -- LVPECL outputs
  );
end MIK_duplication;

--------------------------------------------------------------------------------
------------------------------- ARCHITECTURE -----------------------------------
-- TTL duplication
--------------------------------------------------------------------------------
--------------------------------------------------------------------------------
architecture rtl_MIK_duplication of MIK_duplication is
  -----------------------------------------------------------------------------
  -- constant
  -----------------------------------------------------------------------------

  -----------------------------------------------------------------------------
  -- signal
  -----------------------------------------------------------------------------

  ------------------------------------------------------------------------------
  --------------------------------- Main ---------------------------------------
  ------------------------------------------------------------------------------
  begin

  p_outTTL(4) <= p_in;
  p_outTTL(3) <= p_in;
  p_outTTL(2) <= p_in;
  p_outTTL(1) <= p_in;


  -- Unused signals
  p_outTTL(0) <= '0'; -- the IO is used as input
  p_outPECL   <= "00000";

end rtl_MIK_duplication;
